#!/usr/bin/env bash

source $(dirname "$0")/utilis/colors.sh

# example using an array of dependencies
array=( "docker" "composer" "node" "npm" "gulp" )
for i in "${array[@]}"
do
    if command -v $i >/dev/null 2>&1 ; then
        echo "${GREEN}> $i version: $($i --version)${RESET}"
    else
        echo "${RED}> $i not found. Install it and rerun this script.${RESET}"
        exit 1;
    fi
done
# Install composer and npm
composer install
npm install

# Create a .env file
[[ ! -f .project-env ]] || [[ -f .env ]] || mv .project-env .env

# Create project .gitignore
[[ ! -f .project-gitignore ]] || [[ -f .gitignore ]] || mv .project-gitignore .gitignore


# Install WordPress
if [[ -f www/wp-blog-header.php ]]; then
    while true; do
        read -p "Do you wish to re-install Wordpress (y/n)?" yn
        case $yn in
            [Yy]* ) sh bin/wordpress-install.sh; break;;
            [Nn]* ) break;;
            * ) echo "Please answer y or n.";;
        esac
    done
else
    sh bin/wordpress-install.sh
fi

# Download in start Docker container
make pull
make luarocks

# Run gulp build
gulp

echo
echo "${RED}> Don't forget to update hosts. Read more about in ${BOLD}README.md${RESET}"
